<?php

#####
# gewicht = Die Gewichtung bei der Berechnung des Ergebnisses fr den LAN Schnitt
# calc = Bei 1 wird es fr den LAN Querschnitt mitberechnet, bei 0 nicht
# fragen = Die Fragen fr dieses Modul
# Antworten = Die Antwort Mglichkeiten in Noten
# dbnamen = Die Feldnamen fr die einzelnen Fragen
# texta = (Textantworten) Eigene Antworten. Wenn dort eine ausgefllt ist,
#         dann werden die Standardantworten aus dem $noten Array quasi berschrieben
#####
$fragen = array(Location => array(gewicht => 1,
                                  calc => 1,
                                  fragen => array("Wie gut war die Location zu finden?",
						                                      "Waren genug Parkpltze da?",
						                                      "Wie war die Halle hergerichtet?",
						                                      "Wie war das Hallenklima?",
						                                      "Wie gut waren die Sthle?",
						                                      "Wie gut waren die Tische?",
						                                      "Wie gut waren die Schlafgelegenheiten?"),
						                      antworten => array("1,2,3,4,5,6",
						                                         "1,6",
						                                         "1,2,3,4,5,6",
						                                         "1,2,3,4,5,6",
						                                         "1,2,3,4,5,6",
						                                         "1,2,3,4,5,6",
						                                         "1,2,3,4,5,6"),
						                      dbnamen => array("erreichbarkeit",
						                                       "parkplaetze",
						                                       "aussehen",
						                                       "hallenklima",
						                                       "sitze",
						                                       "tische",
						                                       "schlafgelegenheiten"),
						                      texta => array(1 => array("Ja waren genug da",
						                                                "Nein haben nicht gereicht"))),
						    Basics => array(gewicht => 2,
						                    calc => 1,
						                    fragen => array("Wie gut hat das Netzwerk funktioniert?",
						                                    "Wie gut hat der Strom funktioniert?"),
						                    antworten => array("1,2,3,4,5,6",
						                                       "1,3,6"),
						                    texta => array(1 => array("Super keine Ausflle",
						                                              "Gelegentliche Ausflle",
						                                              "Schlecht, dauernd Ausflle")),
						                    dbnamen => array("netzwerk",
						                                     "strom")),
						    Organisation => array(gewicht => 1.5,
						                          calc => 1,
						                          fragen => array("Wie gut lief der Einlass?",
						                                          "Wie war der Service am einlass?",
						                                          "Wie gut war die Cateringorganisation?",
						                                          "Wie gut war der Ablauf organisiert?"),
						                          antworten => array("1,2,3,4,5,6",
						                                             "1,2,3,4,5,6",
						                                             "1,2,3,4,5,6",
						                                             "1,2,3,4,5,6"),
						                          dbnamen => array("einlass",
						                                           "service",
						                                           "catering",
						                                           "ablauf")),
						    Beamer => array(gewicht => 1,
						                    calc => 0,
						                    fragen => array("Wurde der Beamer gut genutzt?",
						                                    "War das Beamerprogramm Unterhaltsam?",
						                                    "Waren die Beamer gut zu sehen?"),
						                    antworten => array("1,3,6",
						                                       "1,2,3,4,5,6",
						                                       "1,3,6"),
						                    texta => array(0 => array("Ja viele Anzeigen",
						                                              "Eher weniger (immer nur das gleiche, oft aus)",
						                                              "Wurde kaum angemacht")),
						                    dbnamen => array("beamer",
						                                     "unterhaltung",
						                                     "beamersicht")),
						    Rahmenprogramm => array(gewicht => 1,
						                            calc => 1,
						                            fragen => array("Gab es genug Programm nebenbei?",
						                                            "Wie war die Siegerehrung?",
						                                            "wie fandet ihr das Intro und die Begrssung?"),
						                            antworten => array("1,3,6",
						                                               "1,3,6",
						                                               "1,2,3,4,5,6"),
						                            texta => array(0 => array("Gab genug",
						                                                      "Naja htte Mehr sein knnen",
						                                                      "Welche Veranstaltungen?"),
						                                           1 => array("War super",
						                                                      "Naja war eben ne Siegerehrung",
						                                                      "Total langweilig / Es gab keine")),
						                            dbnamen => array("programm",
						                                             "ehrung",
						                                             "trailer")),
						    Turniere => array(gewicht => 2,
						                      calc => 1,
						                      fragen => array("Wurden genug Turniere angeboten?",
						                                      "Wurden die turniere gut durchgefhrt?",
						                                      "Waren die Turnierpreise ok fr die Party?"),
						                      antworten => array("1,3,6",
						                                         "1,2,3,4,5,6",
						                                         "1,3,6"),
						                      texta => array(0 => array("Ja waren massig vorhanden",
						                                                "Naja 1-2 mehr htte nicht geschadet",
						                                                "Es gab fast keine :(")),
						                      dbnamen => array("anzahl",
						                                       "turnier_orga",
						                                       "turnier_preise")),
						    Catering => array(gewicht => 1,
						                      calc => 0,
						                      fragen => array("Wie gro war die Auswahl der angebotenen Speisen?",
						                                      "Waren die Preise in Ordnung?",
						                                      "Wie war die Qualitt der Speisen?",
						                                      "War das Essen warm genug?"),
						                      antworten => array("1,3,6",
						                                         "1,6",
						                                         "1,2,3,4,5,6",
						                                         "1,3,6"),
						                      texta => array(0 => array("Es gab echt viel",
						                                                "Das ntigste war im Angebot",
						                                                "Es gab kaum Auswahl"),
						                                     1 => array("Gute Preise",
						                                                "Viel zu teuer"),
						                                     3 => array("Schn heiss",
						                                                "Es war lauwarm",
						                                                "Saukalt :(")),
						                      dbnamen => array("cat_auswahl",
						                                       "cat_preise",
						                                       "cat_geschmack",
						                                       "cat_warm")),
						    Server => array(gewicht => 1.5,
						                    calc => 1,
						                    fragen => array("Waren genug Gameserver da?",
						                                    "Waren die Server gut konfiguriert?",
						                                    "Wie waren die Pings?"),
						                    antworten => array("1,3,6",
						                                       "1,3,6",
						                                       "1,3,6"),
						                    texta => array(0 => array("Massig vorhanden",
						                                              "Ausreichend",
						                                              "Welche Gameserver?"),
						                                   1 => array("Top Konfig",
						                                              "Es war zu ertragen",
						                                              "katastrophal!"),
						                                   2 => array("Waren echt super",
						                                              "Durchschnitt, zum Zocken ok",
						                                              "Frchterlich, schlechter als Inet")),
						                    dbnamen => array("server_anzahl",
						                                     "server_config",
						                                     "server_ping")),
						    Veranstalter => array(gewicht => 1.5,
						                          calc => 1,
						                          fragen => array("Waren sie freundlich?",
						                                          "Waren sie hilfsbereit?",
						                                          "Konnten sie eure Probleme lsen?"),
						                          antworten => array("1,3,6",
						                                             "1,3,6",
						                                             "1,3,6"),
						                          texta => array(0 => array("Supernett",
						                                                    "Sehr neutral",
						                                                    "Absolut unfreundlich"),
						                                         1 => array("Klar sofort da gewesen",
						                                                    "Nach 2 mal fragen waren sie dann da",
						                                                    "Die haben sich nciht bewegt"),
						                                         2 => array("Klar alles kein Ding",
						                                                    "Fast alles",
						                                                    "Kaum, die hatten null Plan")),
						                          dbnamen => array("orga",
						                                           "orga_help",
						                                           "orga_quali")));

$noten = array(1 => "sehr gut",
               2 => "gut",
               3 => "ausreichend",
               4 => "schlecht",
               5 => "sehr schlecht",
               6 => "nicht akzeptabel");

?>
